Issue847

classification
Title 6 lines duplicated at end of web page
Type defect Module core documentation
Severity inconvenience Platform N/A
Keywords Nosy List aidan, skm
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason fixed
Superseder  
Priority normal   Assigned To

Created on 2012-11-17.02:11:27 by skm, last changed 2017-03-15.22:21:51 by aidan.

Messages
msg2569 [hidden] ([hidden]) Date: 2017-03-09.21:42:26
  Message-ID: <1489095746.91.0.604072365493.issue847@xemacs.org>
Addressed by commit 63ae8a489fed ,
https://bitbucket.org/xemacs/xemacs/commits/63ae8a489fed . Thank you
SKM, thank you FKtPp.
msg2515 [hidden] ([hidden]) Date: 2014-03-17.04:52:34
  Message-ID: <1395031955.56.0.75067047819.issue847@xemacs.org>
Yes, the lines are duplicated in man/widget.texi L212:L223
msg2456 [hidden] ([hidden]) Date: 2012-11-17.02:11:25
On this web page:
http://www.xemacs.org/Documentation/21.5/html/widget_1.html

The last 6 lines are duplicated, and one set needs to be removed.

The way to decide which 6 lines to keep would probably be to figure out
if widget-define or define-widget is correct and remove the other copy.
--------------------------------------------
Here's the 12 lines:

`widget.el'
    This declares the user variables, defines the function
define-widget, and autoloads the function widget-create. 
`wid-edit.el'
    Everything else is here. Do not load it explicitly, as it will be
autoloaded when needed. 

In order to minimize the code that is loaded by users who does not
create any widgets, the code has been split in two files:

`widget.el'
    This will declare the user variables, define the function
widget-define, and autoload the function widget-create. 
`wid-edit.el'
    Everything else is here, there is no reason to load it explicitly,
as it will be autoloaded when needed.
History
Date User Action Args
2017-03-15 22:21:51aidansetstatus: committed -> closed
2017-03-09 21:42:26aidansetstatus: verified -> committed
assignedto: aidan
reason: fixed
messages: + msg2569
nosy: + aidan
2014-03-17 04:52:35FKtPpsetstatus: new -> verified
messages: + msg2515
2012-11-17 02:11:27skmcreate